<template>
    <div class="nav-bar">
        <div id="text-links-left">
            <router-link class="link" to="/info">Info</router-link>
            <a class="link" href="https://docs.betterwithmods.com">Docs</a>
            <a class="link" href="https://minecraft.curseforge.com/projects/better-with-mods">Download</a>
        </div>
        <router-link to="/">
            <img id="icon-bwm" src="@/assets/nav_bar_icon.png">
        </router-link>
        <div id="text-links-right">
            <a class="link" href="https://www.gitlab.com/BetterWithMods/BetterWithMods">Source</a>
            <a class="link" href="https://ci.blamejared.com/job/BetterWithMods/">Builds</a>
            <router-link class="link" to="/modpack">Play</router-link>
        </div>
        <a href="https://discord.betterwithmods.com">
            <img id="icon-discord" src="@/assets/discord.png">
        </a>

        <a href="https://www.patreon.com/BetterWithMods">
            <img id="icon-patreon" src="@/assets/patreon.png">
        </a>
    </div>
</template>

<script>
export default {
  name: 'nav-bar',
  data () {
    return {}
  }
}
</script>

<style>

.link {
    color: white;
    font-size: 2.25vw;
    text-decoration-line: none;
    padding: .75%;
}

.link:hover {
    font-weight: bold;
}

#text-links-left {
    width: 25%;
    padding-left: 21%;
    padding-top: 3%;
    float:left;
}

#text-links-right {
    width: 25%;
    padding-right: 20%;
    padding-top: 3%;
    margin: 0%;
    float: right;
}

#icon-bwm {
    position: absolute;
    left: 45%;
    right: 45%;
    width: 12%;
    height: 160%;
    max-width: 100%;
    z-index: 1;
}

#icon-discord {
    position: absolute;
    max-width: 50%;
    max-height: 50%;
    margin-top: 0%;
    right: 3%;
    top: 50%;
}

#icon-patreon {
    position: absolute;
    max-width: 30%;
    max-height: 30%;
    margin-top: -2.5%;
    right: 3.6%;
    top: 50%;
}

.nav-bar {
    width: 100%;
    height: 1vh;
    position: relative;
    padding-bottom: 7%;
    background-color:#1e1e1e;
    border-bottom-color: black;
    border-bottom-style: solid;
    box-shadow: inset 0 0 10px #000000;
    z-index: 2;
}
</style>
